boost::geometry::strategy::side::detail::multiplicable_integral< T > Struct Template Reference

List of all members.

## Public Types

typedef boost::make_unsigned < T >::type | unsigned_type

## Public Member Functions

| BOOST_STATIC_ASSERT (boost::is_integral< T >::value)
template<typename CmpVal >
void | check_value (CmpVal const &cmp_val) const
| multiplicable_integral (int sign, unsigned_type ms, unsigned_type ls)
| multiplicable_integral (T const &val)

## Public Attributes

unsigned_type | m_ls
unsigned_type | m_ms
int | m_sign

## Static Public Attributes

static const unsigned_type | base = unsigned_type(1) << half_bits
static const std::size_t | bits = CHAR_BIT * sizeof(T)
static const std::size_t | half_bits = bits / 2

## Friends

multiplicable_integral | operator* (multiplicable_integral const &a, multiplicable_integral const &b)
bool | operator< (multiplicable_integral const &a, multiplicable_integral const &b)
bool | operator> (multiplicable_integral const &a, multiplicable_integral const &b)

### template<typename T>
struct boost::geometry::strategy::side::detail::multiplicable_integral< T >

## Member Typedef Documentation

template<typename T >

typedef boost::make_unsigned<T>::type boost::geometry::strategy::side::detail::multiplicable_integral< T >::unsigned_type

## Constructor & Destructor Documentation

template<typename T >

boost::geometry::strategy::side::detail::multiplicable_integral< T >::multiplicable_integral | ( | int | sign,
|  | unsigned_type | ms,
|  | unsigned_type | ls
| ) |  |

template<typename T >

boost::geometry::strategy::side::detail::multiplicable_integral< T >::multiplicable_integral | ( | T const & | val | ) | `[explicit]`

## Member Function Documentation

template<typename T >

boost::geometry::strategy::side::detail::multiplicable_integral< T >::BOOST_STATIC_ASSERT | ( | boost::is_integral< T >::value |  | ) |

template<typename T >
template<typename CmpVal >

void boost::geometry::strategy::side::detail::multiplicable_integral< T >::check_value | ( | CmpVal const & | cmp_val | ) | const

## Friends And Related Function Documentation

template<typename T >

multiplicable_integral operator* | ( | multiplicable_integral< T > const & | a,
|  | multiplicable_integral< T > const & | b
| ) |  | `[friend]`

template<typename T >

bool operator< | ( | multiplicable_integral< T > const & | a,
|  | multiplicable_integral< T > const & | b
| ) |  | `[friend]`

template<typename T >

bool operator> | ( | multiplicable_integral< T > const & | a,
|  | multiplicable_integral< T > const & | b
| ) |  | `[friend]`

## Member Data Documentation

template<typename T >

const std::size_t boost::geometry::strategy::side::detail::multiplicable_integral< T >::bits = CHAR_BIT * sizeof(T)`[static]`

template<typename T >

const std::size_t boost::geometry::strategy::side::detail::multiplicable_integral< T >::half_bits = bits / 2`[static]`

template<typename T >

const unsigned_type boost::geometry::strategy::side::detail::multiplicable_integral< T >::base = unsigned_type(1) << half_bits `[static]`

template<typename T >

int boost::geometry::strategy::side::detail::multiplicable_integral< T >::m_sign

template<typename T >

unsigned_type boost::geometry::strategy::side::detail::multiplicable_integral< T >::m_ms

template<typename T >

unsigned_type boost::geometry::strategy::side::detail::multiplicable_integral< T >::m_ls

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK